Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt
Interface Transparency

All Known Subinterfaces:
  Paint

All Known Implementing Classes:
  Color, ColorModel, GradientPaint, TexturePaint

public interface Transparency

The `Transparency` interface defines the common transparency modes for implementing classes.

Field Summary
`static int` | `BITMASK` Represents image data that is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.
`static int` | `OPAQUE` Represents image data that is guaranteed to be completely opaque, meaning that all pixels have an alpha value of 1.0.
`static int` | `TRANSLUCENT` Represents image data that contains or might contain arbitrary alpha values between and including 0.0 and 1.0.

Method Summary
`int` | `getTransparency()` Returns the type of this `Transparency`.

Field Detail

### OPAQUE

    public static final int OPAQUE

  Represents image data that is guaranteed to be completely opaque, meaning that all pixels have an alpha value of 1.0.

  See Also:
    Constant Field Values

### BITMASK

    public static final int BITMASK

  Represents image data that is guaranteed to be either completely opaque, with an alpha value of 1.0, or completely transparent, with an alpha value of 0.0.

  See Also:
    Constant Field Values

### TRANSLUCENT

    public static final int TRANSLUCENT

  Represents image data that contains or might contain arbitrary alpha values between and including 0.0 and 1.0.

  See Also:
    Constant Field Values

Method Detail

### getTransparency

    public int getTransparency()

  Returns the type of this `Transparency`.

  Returns:
    the field type of this `Transparency`, which is either OPAQUE, BITMASK or TRANSLUCENT.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.